All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::DeviceMemoryReservation Class Reference

## Public Member Functions

| DeviceMemoryReservation (DeviceMemory *state, int device, void *p, size_t size, cudaStream_t stream)
| DeviceMemoryReservation (DeviceMemoryReservation &&m) noexcept
DeviceMemoryReservation & | operator= (DeviceMemoryReservation &&m)
int | device ()
void * | get ()
size_t | size ()
cudaStream_t | stream ()

## Detailed Description

Definition at line 20 of file DeviceMemory.h.

The documentation for this class was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceMemory.h
- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceMemory.cpp